Package org.bukkit

# Enum Class WorldType

java.lang.Object
java.lang.Enum<WorldType>
org.bukkit.WorldType

All Implemented Interfaces:
  `Serializable`, `Comparable<WorldType>`, `Constable`

public enum WorldType extends Enum<WorldType>
Represents various types of worlds that may exist

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AMPLIFIED`
`FLAT`
`LARGE_BIOMES`
`NORMAL`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable WorldType`
`getByName(@NotNull String name)`
Gets a WorldType by its name
`@NotNull String`
`getName()`
Gets the name of this WorldType
`static WorldType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WorldType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORMAL

public static final WorldType NORMAL

### FLAT

public static final WorldType FLAT

### LARGE_BIOMES

public static final WorldType LARGE_BIOMES

### AMPLIFIED

public static final WorldType AMPLIFIED

## Method Details

### values

public static WorldType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WorldType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getName

@NotNull public @NotNull String getName()
Gets the name of this WorldType

Returns:
  Name of this type

### getByName

@Nullable public static @Nullable WorldType getByName(@NotNull @NotNull String name)
Gets a WorldType by its name

Parameters:
  `name` - Name of the WorldType to get
Returns:
  Requested WorldType, or null if not found